package universal;
/**
 * Holder class for : RequestServiceContext
 *
 * @author OpenORB Compiler
 */
final public class RequestServiceContextHolder
		implements org.omg.CORBA.portable.Streamable
{
    /**
     * Internal RequestServiceContext value
     */
	public RequestServiceContext value;

    /**
     * Default constructor
     */
	public RequestServiceContextHolder()
	{ }

    /**
     * Constructor with value initialisation
     * @param	initial	the initial value
     */
	public RequestServiceContextHolder( RequestServiceContext initial )
	{
		value = initial;
	}

    /**
     * Read RequestServiceContext from a marshalled stream
     * @param	istream the input stream
     */
	public void _read( org.omg.CORBA.portable.InputStream istream )
	{
		value = RequestServiceContextHelper.read(istream);
	}

    /**
     * Write RequestServiceContext into a marshalled stream
     * @param	ostream the output stream
     */
	public void _write( org.omg.CORBA.portable.OutputStream ostream )
	{
		RequestServiceContextHelper.write(ostream,value);
	}

    /**
     * Return the RequestServiceContext TypeCode
     * @return a TypeCode
     */
	public org.omg.CORBA.TypeCode _type()
	{
		return RequestServiceContextHelper.type();
	}

}
